Module
Contents
Index 🔎︎

# Asc Function

Returnerar ASCII-värdet (American Standard Code for Information Interchange) för det första tecknet i ett stränguttryck.

## Syntax:

    Asc (Text As String)

## Returvärde:

Integer

## Parametrar:

Text: Ett giltigt stränguttryck. Bara det första tecknet i en sträng är relevant.

Använd Asc-funktion för att ersätta tangentkoder med värden. Om Asc-funktionen påträffar en tom sträng kommer LibreOffice Basic att rapportera ett runtimefel. Förutom 7-bitars ASCII-tecken (kod 0-127), kan ASCII-funktionen också känna igen icke-utskrivbara tangentkoder i ASCII-kod. Den här funktionen kan också hantera 16-bitars unicode-tecken.

## Error codes:

5 Felaktigt proceduranrop

## Exempel:

    Sub ExampleASC

        Print ASC("A") ' returnerar 65

        Print ASC("Z") ' returnerar 90

        Print ASC("Las Vegas") ' returnerar 76, eftersom bara det första tecknet tas med

    End Sub

Närliggande ämnen

CHR